Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | List of all members
eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory Class Reference
Inheritance diagram for eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory:

## Public Member Functions
| __construct ()
| getPosition ()
| getKey ()

## Protected Member Functions
| isRememberMeAware ($config)
| createListener ($container, $id, $config, $userProvider)
| getListenerId ()
| createEntryPoint ($container, $id, $config, $defaultEntryPoint)

## Detailed Description

Definition at line 13 of file RestSessionBasedFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::__construct | ( |  | ) |

Definition at line 15 of file RestSessionBasedFactory.php.

## Member Function Documentation

## ◆ createEntryPoint()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::createEntryPoint | ( |  | $container,
|  |  | $id,
|  |  | $config,
|  |  | $defaultEntryPoint
| ) |  |
| protected

Definition at line 74 of file RestSessionBasedFactory.php.

## ◆ createListener()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::createListener | ( |  | $container,
|  |  | $id,
|  |  | $config,
|  |  | $userProvider
| ) |  |
| protected

Definition at line 28 of file RestSessionBasedFactory.php.

References eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory\getListenerId().

## ◆ getKey()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::getKey | ( |  | ) |

Definition at line 69 of file RestSessionBasedFactory.php.

## ◆ getListenerId()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::getListenerId | ( |  | ) |
| protected

Definition at line 59 of file RestSessionBasedFactory.php.

Referenced by eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory\createListener().

## ◆ getPosition()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::getPosition | ( |  | ) |

Definition at line 64 of file RestSessionBasedFactory.php.

## ◆ isRememberMeAware()

eZ\Bundle\EzPublishRestBundle\DependencyInjection\Security\RestSessionBasedFactory::isRememberMeAware | ( |  | $config | ) |
| protected

Definition at line 23 of file RestSessionBasedFactory.php.

The documentation for this class was generated from the following file:

- RestSessionBasedFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.